%define tarname	ETSProjectTools
%define name 	python-enthought-etsprojecttools
%define version 0.6.0
%define release %mkrel 1

%define epoch	1

Summary:	Enthought Project Suite - ETSProjectTools project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Source0:	%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/ets_project_tools.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	subversion >= 1.5
%if %mdkversion > 200900
Requires:	python-pkg-resources >= 0.6c8
%else
Requires:	python-setuptools >= 0.6c8
%endif
BuildRequires:	python-setuptools >= 0.6c8
BuildRequires:	python-setupdocs >= 1.0
%py_requires -d

%description
ETSProjectTools provides commands to make it easier for developers to
work on projects that have a large number of dependencies, such as the
ETS project itself. These commands are all predicated on a concept we
call a "checkout", which is the coherent set of projects and versions
that are required to satisfy all documented dependencies for the
user-requested project(s).

ETSProjectTools provides its tools through the 'ets' command, which
has many sub-commands.

The first set of sub-commands make it easy to create and interact with
"checkouts" and their contained projects' original source control
repositories (currently only Subversion is supported).  This is done
by providing commands like "co" (checkout), "up" (update), "st"
(status), and "rev" (revert).  The syntax and semantics of these
commands are similar to most source control systems.  You can specify
which repositories the 'ets' command knows about by editing the
".ets.cfg" file in your home directory.

The second set of 'ets' sub-commands make it easy to build, develop,
or install these projects into a Python environment.  This set
includes the 'build', 'develop', and 'install' commands.  These all
basically invoke the 'python setup.py' command of the same name on all
projects within the "checkout."

The last set of 'ets' sub-commands are used to explore the
dependencies of projects and enhance performance of the tool itself by
generating a cache of projects within a repository, called a map, so
that each client doesn't have to crawl a repository on its own.  These
sub-commands are: depends, graph, pkgurl, and map.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt


%changelog
* Fri Feb 26 2010 Lev Givon <lev@mandriva.org> 1:0.6.0-1mdv2010.0
+ Revision: 512036
- Update to 0.6.0.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:0.5.1-2mdv2010.0
+ Revision: 419326
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 419038
- Update to 0.5.1.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 363869
- Update to 0.5.0.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-1mdv2009.1
+ Revision: 358136
- Update to latest upstream svn.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.4.2-2mdv2009.1
+ Revision: 323678
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 313634
- Update to 0.4.2.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 298917
- import python-enthought-etsprojecttools


